/*
 * Moonlight|3D
 * Copyright (C) 2005 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Created on Jan 5, 2005
 */

package eu.moonlight3d.minimal;

import eu.moonlight3d.framework.VersionInformation;
import eu.moonlight3d.framework.exceptions.ExceptionHelper;

/**
 * \package ml
 *
 * This package contains the main class for the minimal example of
 * the Moonlight application framework.
 */


/**
 * This is the main application class for the minimal example.
 * 
 * @author gregor
 */
public class Minimal {

    /**
     * The main entry point for the minimal example
     * 
     * @param args command line arguments
     */
    public static void main(String[] args) {
        try {
            eu.moonlight3d.framework.State state=eu.moonlight3d.framework.State.getInstance();
            
            state.setBatchMode(false);
            state.setVersionInformation(new VersionInformation("Minimal",0,1,5));
            state.setApplicationShortName("mlminimal");
            state.start(args);
            state.runInteractive();
            state.shutdown();
            
        } catch(Exception e) {
            System.err.print(ExceptionHelper.getFullText(e));
        }
    }
}
